<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (12.0.1) on Tue Jan 07 09:13:49 CET 2020 -->
<title>Uses of Class tools.MenuItem</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-01-07">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
<script type="text/javascript" src="../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class tools.MenuItem";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../MenuItem.html" title="class in tools">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h2 title="Uses of Class tools.MenuItem" class="title">Uses of Class<br>tools.MenuItem</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<div class="useSummary">
<table>
<caption><span>Packages that use <a href="../MenuItem.html" title="class in tools">MenuItem</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#controller">controller</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#tools">tools</a></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList">
<section role="region"><a id="controller">
<!--   -->
</a>
<h3>Uses of <a href="../MenuItem.html" title="class in tools">MenuItem</a> in <a href="../../controller/package-summary.html">controller</a></h3>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../../controller/package-summary.html">controller</a> that return <a href="../MenuItem.html" title="class in tools">MenuItem</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../MenuItem.html" title="class in tools">MenuItem</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AttractionController.</span><code><span class="memberNameLink"><a href="../../controller/AttractionController.html#getMenu()">getMenu</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the list of options for the preparation of the menu.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>abstract <a href="../MenuItem.html" title="class in tools">MenuItem</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Controller.</span><code><span class="memberNameLink"><a href="../../controller/Controller.html#getMenu()">getMenu</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the list of options for the preparation of the menu.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../MenuItem.html" title="class in tools">MenuItem</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PersonController.</span><code><span class="memberNameLink"><a href="../../controller/PersonController.html#getMenu()">getMenu</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the list of options for the preparation of the menu.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../MenuItem.html" title="class in tools">MenuItem</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">StatisticsController.</span><code><span class="memberNameLink"><a href="../../controller/StatisticsController.html#getMenu()">getMenu</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the list of options for the preparation of the menu.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../MenuItem.html" title="class in tools">MenuItem</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">TicketAddController.</span><code><span class="memberNameLink"><a href="../../controller/TicketAddController.html#getMenu()">getMenu</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the list of options for the preparation of the menu.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../MenuItem.html" title="class in tools">MenuItem</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">TicketController.</span><code><span class="memberNameLink"><a href="../../controller/TicketController.html#getMenu()">getMenu</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the list of options for the preparation of the menu.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../MenuItem.html" title="class in tools">MenuItem</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">TicketTypeController.</span><code><span class="memberNameLink"><a href="../../controller/TicketTypeController.html#getMenu()">getMenu</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the list of options for the preparation of the menu.</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../../controller/package-summary.html">controller</a> with parameters of type <a href="../MenuItem.html" title="class in tools">MenuItem</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AttractionController.</span><code><span class="memberNameLink"><a href="../../controller/AttractionController.html#execOption(tools.MenuItem)">execOption</a></span>&#8203;(<a href="../MenuItem.html" title="class in tools">MenuItem</a>&nbsp;menuItem)</code></th>
<td class="colLast">
<div class="block">Execute the menu option indicated.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>abstract boolean</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Controller.</span><code><span class="memberNameLink"><a href="../../controller/Controller.html#execOption(tools.MenuItem)">execOption</a></span>&#8203;(<a href="../MenuItem.html" title="class in tools">MenuItem</a>&nbsp;menuItem)</code></th>
<td class="colLast">
<div class="block">Execute the menu option indicated.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PersonController.</span><code><span class="memberNameLink"><a href="../../controller/PersonController.html#execOption(tools.MenuItem)">execOption</a></span>&#8203;(<a href="../MenuItem.html" title="class in tools">MenuItem</a>&nbsp;menuItem)</code></th>
<td class="colLast">
<div class="block">Execute the menu option indicated.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">StatisticsController.</span><code><span class="memberNameLink"><a href="../../controller/StatisticsController.html#execOption(tools.MenuItem)">execOption</a></span>&#8203;(<a href="../MenuItem.html" title="class in tools">MenuItem</a>&nbsp;menuItem)</code></th>
<td class="colLast">
<div class="block">Execute the menu option indicated.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">TicketAddController.</span><code><span class="memberNameLink"><a href="../../controller/TicketAddController.html#execOption(tools.MenuItem)">execOption</a></span>&#8203;(<a href="../MenuItem.html" title="class in tools">MenuItem</a>&nbsp;menuItem)</code></th>
<td class="colLast">
<div class="block">Execute the menu option indicated.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">TicketController.</span><code><span class="memberNameLink"><a href="../../controller/TicketController.html#execOption(tools.MenuItem)">execOption</a></span>&#8203;(<a href="../MenuItem.html" title="class in tools">MenuItem</a>&nbsp;menuItem)</code></th>
<td class="colLast">
<div class="block">Execute the menu option indicated.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">TicketTypeController.</span><code><span class="memberNameLink"><a href="../../controller/TicketTypeController.html#execOption(tools.MenuItem)">execOption</a></span>&#8203;(<a href="../MenuItem.html" title="class in tools">MenuItem</a>&nbsp;menuItem)</code></th>
<td class="colLast">
<div class="block">Execute the menu option indicated.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Controller.</span><code><span class="memberNameLink"><a href="../../controller/Controller.html#getOptionCaption(tools.MenuItem)">getOptionCaption</a></span>&#8203;(<a href="../MenuItem.html" title="class in tools">MenuItem</a>&nbsp;menuItem)</code></th>
<td class="colLast">
<div class="block">Returns an optional caption for an item menu</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PersonController.</span><code><span class="memberNameLink"><a href="../../controller/PersonController.html#getOptionCaption(tools.MenuItem)">getOptionCaption</a></span>&#8203;(<a href="../MenuItem.html" title="class in tools">MenuItem</a>&nbsp;menuItem)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">TicketAddController.</span><code><span class="memberNameLink"><a href="../../controller/TicketAddController.html#getOptionCaption(tools.MenuItem)">getOptionCaption</a></span>&#8203;(<a href="../MenuItem.html" title="class in tools">MenuItem</a>&nbsp;menuItem)</code></th>
<td class="colLast">
<div class="block">Returns an optional caption for an item menu</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li class="blockList">
<section role="region"><a id="tools">
<!--   -->
</a>
<h3>Uses of <a href="../MenuItem.html" title="class in tools">MenuItem</a> in <a href="../package-summary.html">tools</a></h3>
<div class="useSummary">
<table>
<caption><span>Fields in <a href="../package-summary.html">tools</a> with type parameters of type <a href="../MenuItem.html" title="class in tools">MenuItem</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;<a href="../MenuItem.html" title="class in tools">MenuItem</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">MenuItem.</span><code><span class="memberNameLink"><a href="../MenuItem.html#childrenList">childrenList</a></span></code></th>
<td class="colLast">
<div class="block">Next menu item level</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;<a href="../MenuItem.html" title="class in tools">MenuItem</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Menu.</span><code><span class="memberNameLink"><a href="../Menu.html#optionList">optionList</a></span></code></th>
<td class="colLast">
<div class="block">List of menu options</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../package-summary.html">tools</a> that return <a href="../MenuItem.html" title="class in tools">MenuItem</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../MenuItem.html" title="class in tools">MenuItem</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">MenuItem.</span><code><span class="memberNameLink"><a href="../MenuItem.html#addChildren(java.lang.String,int)">addChildren</a></span>&#8203;(java.lang.String&nbsp;caption,
           int&nbsp;option)</code></th>
<td class="colLast">
<div class="block">Add an item to the menu</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../MenuItem.html" title="class in tools">MenuItem</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">MenuItem.</span><code><span class="memberNameLink"><a href="../MenuItem.html#addChildren(java.lang.String,int,boolean)">addChildren</a></span>&#8203;(java.lang.String&nbsp;caption,
           int&nbsp;option,
           boolean&nbsp;withMargin)</code></th>
<td class="colLast">
<div class="block">Add an item to the menu with top margin</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../package-summary.html">tools</a> that return types with arguments of type <a href="../MenuItem.html" title="class in tools">MenuItem</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../MenuItem.html" title="class in tools">MenuItem</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">MenuItem.</span><code><span class="memberNameLink"><a href="../MenuItem.html#getChildrenList()">getChildrenList</a></span>()</code></th>
<td class="colLast">
<div class="block">Get children menu items</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../package-summary.html">tools</a> with parameters of type <a href="../MenuItem.html" title="class in tools">MenuItem</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Menu.</span><code><span class="memberNameLink"><a href="../Menu.html#addItem(tools.MenuItem)">addItem</a></span>&#8203;(<a href="../MenuItem.html" title="class in tools">MenuItem</a>&nbsp;menuItem)</code></th>
<td class="colLast">
<div class="block">Add an item to the menu</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Method parameters in <a href="../package-summary.html">tools</a> with type arguments of type <a href="../MenuItem.html" title="class in tools">MenuItem</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Menu.</span><code><span class="memberNameLink"><a href="../Menu.html#execute(java.lang.String,java.util.ArrayList)">execute</a></span>&#8203;(java.lang.String&nbsp;title,
       java.util.ArrayList&lt;<a href="../MenuItem.html" title="class in tools">MenuItem</a>&gt;&nbsp;items)</code></th>
<td class="colLast">
<div class="block">It shows the menu and executes it until the user selects the exit option.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Menu.</span><code><span class="memberNameLink"><a href="../Menu.html#printAndRequest(java.lang.String,java.util.ArrayList)">printAndRequest</a></span>&#8203;(java.lang.String&nbsp;title,
               java.util.ArrayList&lt;<a href="../MenuItem.html" title="class in tools">MenuItem</a>&gt;&nbsp;items)</code></th>
<td class="colLast">
<div class="block">Print menu options.</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
</ul>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../MenuItem.html" title="class in tools">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
